Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface CR

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CRImpl

    public interface CR

extends ANY

A representation of the model object 'CR'. A concept qualifier code with optionally named role. Both qualifier role and value codes must be defined by the coding system. For example, if SNOMED RT defines a concept "leg", a role relation "has-laterality", and another concept "left", the concept role relation allows to add the qualifier "has-laterality: left" to a primary code "leg" to construct the meaning "left leg".

The following features are supported:

- `Name`
- `Value`
- `Inverted`

See Also:
  `CDAR2Package.getCR()`

Method Summary
`CV` | `getName()` Returns the value of the 'Name' containment reference.
`CD` | `getValue()` Returns the value of the 'Value' containment reference.
`boolean` | `isInverted()` Returns the value of the 'Inverted' attribute.
`boolean` | `isSetInverted()` Returns whether the value of the '`Inverted`' attribute is set.
`void` | `setInverted(boolean value)` Sets the value of the '`Inverted`' attribute.
`void` | `setName(CV value)` Sets the value of the '`Name`' containment reference.
`void` | `setValue(CD value)` Sets the value of the '`Value`' containment reference.
`void` | `unsetInverted()` Unsets the value of the '`Inverted`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    CV getName()

  Returns the value of the 'Name' containment reference. Specifies the manner in which the concept role value contributes to the meaning of a code phrase. For example, if SNOMED RT defines a concept "leg", a role relation "has-laterality", and another concept "left", the concept role relation allows to add the qualifier "has-laterality: left" to a primary code "leg" to construct the meaning "left leg". In this example "has-laterality" is the CR.name.

  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `setName(CV)`, `CDAR2Package.getCR_Name()`

### setName

    void setName(CV value)

  Sets the value of the '`Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Name' containment reference.
  See Also:
    `getName()`

### getValue

    CD getValue()

  Returns the value of the 'Value' containment reference. The concept that modifies the primary code of a code phrase through the role relation. For example, if SNOMED RT defines a concept "leg", a role relation "has-laterality", and another concept "left", the concept role relation allows adding the qualifier "has-laterality: left" to a primary code "leg" to construct the meaning "left leg". In this example "left" is the CR.value.

  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `setValue(CD)`, `CDAR2Package.getCR_Value()`

### setValue

    void setValue(CD value)

  Sets the value of the '`Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Value' containment reference.
  See Also:
    `getValue()`

### isInverted

    boolean isInverted()

  Returns the value of the 'Inverted' attribute. The default value is `"false"`. Indicates if the sense of the role name is inverted. This can be used in cases where the underlying code system defines inversion but does not provide reciprocal pairs of role names. By default, inverted is false.

  Returns:
    the value of the 'Inverted' attribute.
  See Also:
    `isSetInverted()`, `unsetInverted()`, `setInverted(boolean)`, `CDAR2Package.getCR_Inverted()`

### setInverted

    void setInverted(boolean value)

  Sets the value of the '`Inverted`' attribute.

  Parameters:
    `value` - the new value of the 'Inverted' attribute.
  See Also:
    `isSetInverted()`, `unsetInverted()`, `isInverted()`

### unsetInverted

    void unsetInverted()

  Unsets the value of the '`Inverted`' attribute.

  See Also:
    `isSetInverted()`, `isInverted()`, `setInverted(boolean)`

### isSetInverted

    boolean isSetInverted()

  Returns whether the value of the '`Inverted`' attribute is set.

  Returns:
    whether the value of the 'Inverted' attribute is set.
  See Also:
    `unsetInverted()`, `isInverted()`, `setInverted(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD